#### make_strand (2 of 2 overloads)

Create a `strand` object for an execution context.

    template<
        typename ExecutionContext>
    strand< typename ExecutionContext::executor_type > make_strand(
        ExecutionContext & ctx,
        typename constraint< is_convertible< ExecutionContext &, execution_context & >::value >::type  = 0);

###### Parameters

ctx

  An execution context, from which an executor will be obtained.

###### Return Value

A strand constructed with the execution context's executor, obtained by performing `ctx.get_executor()`.